Skip to content

Get MAU usage records

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the current user pool MAU usage record

Method name

ManagementClient.getMauPeriodUsageHistory

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
startTimestringyes-Start time (year, month, day)20220202
endTimestringyes-End time (year, month, day)20220802

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getMauPeriodUsageHistory({
    startTime: "20220802",
    endTime: "20221002",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CostGetMauPeriodUsageHistoryRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a MauPeriodUsageHistoryResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "records": {
      "periodStartTime": "20210901",
      "periodEndTime": "20220901",
      "amount": "0",
      "current": "0"
    }
  }
}

Data structure

MauPeriodUsageHistory

NameTypeIs it requiredDescriptionSample value
recordsarrayYesResponse data Nested type: <a MauPeriodUsageHistoryDto.

MauPeriodUsageHistoryDto

NameTypeIs it requiredDescriptionSample value
periodStartTimestringyesPeriod start time (year, month, day)20210901
periodEndTimestringyesPeriod end time (year, month, day)20220901
amountstringyesTotal amount of mau used in the current period0
currentstringyesAmount of mau used in the current period0

Agent infrastructure for identity, memory, and web action.